The Linux Mint Distribution

LMDE ships with broken libcairo2

Reported by Rike on 2011-04-04
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linux Mint
Medium
Clement Lefebvre

Bug Description

LMDE is still affected by this bug ( https://bugs.launchpad.net/ubuntu/+source/cairo/+bug/661724 ) in libcairo2 1.10.0-1ubuntu2. The bug does not occur in the debian testing repository ( 1.10.2-6: http://packages.debian.org/search?keywords=libcairo2 ) and is supposed to have been fixed in maverick-updates (1.10.0-1ubuntu3: http://packages.ubuntu.com/de/maverick-updates/libcairo2 ).

Would be great if LMDE could update to either package in its repo as this bug leads to strange errors when printing from evince.

Justin Krehel (jkrehel) wrote :

Clem,

Recommend updating our packages in the repo in line to fix the set of packages imported, or see if they can be dropped seamlessly in favor of Debian Testing packages. Second option is preferred to reduce dependencies but will need to examine what may break.

Changed in linuxmint:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Clement Lefebvre (clementlefebvre)
milestone: none → lmde-upcoming
Vachigaggl (vachigaggl) wrote :

Please do not neglect this...

Sage Ross (ragesoss) wrote :

This was causing me trouble as well... I could not update f-spot, because it depended on later version of libcairo2 from Debian Testing. I solved this by using the "Force Version" option in Synaptic.

chemicalfan (mike-lumsden) wrote :

Does this bug apply to the current LMDE release? If not, this bug should be closed.

chemicalfan (mike-lumsden) wrote :

As OP has failed to update this bug, and it doesn't affect anyone else, I am marking as invalid

Changed in linuxmint:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers